Api Change Log
Application Versions
⇑
Changes between 23.6 to 24.6
What's New
⇑
POST
/syncService/syncDomains
Sync PTP clock data from WS-NOC application
POST
/service/deleteMultipleServices
Supports bulk deletion of Services.
POST
/service/decommissionFreqDistributionService
decommission frequency distribution service
POST
/domainBrowser/exportDomains
Export Domains to Csv
GET
/linksBrowser/getSubRouteDetailsByTpIds
Get SubRoutes based on source and destination tpids for each route
What's Deleted
⇑
What's Deprecated
⇑
What's Changed
⇑
GET
/nodesBrowser/getNodesByServiceId
Response
Changed response : [200]
//search results for the provided serviceid and neid.
GET
/nodesBrowser/getFreqNodesByServiceId
searches Node Data based on Service Id for frequency distribution service
Response
Changed response : [200]
//search results for the provided serviceid and neid.
GET
/jobs
Get count of inprogress , completed and aborted jobs of WSS
Response
Changed response : [200]
//Jobs Count
Schema
Changed body: 'application/json'
GET
/cardsBrowser/getCardsFromNeId
Response
Changed response : [200]
//search results for given neid , neId can be fetched from restcall - /nodesBrowser/allNodes based on neName
POST
/service/saveTimeDistributionServiceClockAndPortInfo
Response
Changed response : [201]
//Clock and Port info for time distribution service has been successfully saved.
POST
/syncService/syncNodes
The WS-S entities for clock and the corresponding PTP/SyncE port details are synced for the given nodes
Response
Changed response : [200]
//Successfully triggered sync for the given nodes
POST
/service/syncTimeDistributionService
Response
Changed response : [201]
//Sync of Clock/Port parameters and routes for the time distribution service is successful.
POST
/service/syncFreqDistributionService
Response
Changed response : [201]
//Sync of Clock/Port parameters and routes for the frequency distribution service is successful.
POST
/service/saveFreqDistributionServiceLinerefAndPortInfo
Response
Changed response : [201]
//Lineref and port info for the frequency distribution service have been successfully saved.
POST
/service/deployTimeDistributionService
Response
Changed response : [201]
//Time distribution service has been deployed successfully.
POST
/service/deployFreqDistributionService
Response
Changed response : [201]
//Frequency distribution service has been deployed successfully.
POST
/service/deleteTimeDistributionService
Response
Changed response : [201]
//Time distribution service has been successfully deleted.
POST
/service/deleteFreqDistributionService
Response
Changed response : [201]
//Frequency distribution service has been successfully deleted.
POST
/service/deactivateTimeDistributionService
Response
Changed response : [201]
//Time distribution service has been successfully deactivated.
POST
/service/createTimeDistributionService
Response
Changed response : [201]
//The time distribution service has been successfully created.
POST
/service/createFreqDistributionService
Response
Changed response : [201]
//The frequency distribution service has been successfully created.
POST
/service/createFreqDistributionServiceWithPortDetails
Response
Changed response : [201]
//The frequency distribution service has been successfully created with port details.
POST
/service/activateTimeDistributionService
Response
Changed response : [201]
//Time distribution service has been successfully activated.
POST
/service/abortTimeDistributionService
Response
Changed response : [201]
//Abort the time distribution service was successful.
POST
/service/abortFreqDistributionService
Response
Changed response : [201]
//Abort the frequency distribution service was successful.
POST
/discoveryService/discovery
discover PTP, SyncE clock data from WS-S application
Parameters
Add discoveryType in query
//Holds discovery type for discovering PTP, SyncE or Both services. Accepted values are "PTP","SyncE","PTPAndSyncE".
Response
Changed response : [200]
//Successfully triggered WS-S Discovery operation